Name:		kst
Version:	2.0.8
Release:	%mkrel 5
Summary:	Program for looking at data streams
License:	GPLv2+
Group:		Sciences/Other
Url:		http://kst.kde.org/
Source:		http://downloads.sourceforge.net/kst/Kst-%{version}.tar.gz
# patch from branch kst2.0.8
Patch0:		kst2.0.8-disable-last-value-option-in-ascii-reader-when-threa.patch
Patch1:		kst-2.0.8-gsl2.patch
# Upstream patch to fix qreal for arm: https://bugs.kde.org/show_bug.cgi?id=342642
Patch2:		kst-qreal.patch

BuildRequires:	qt4-devel
BuildRequires:	cfitsio-devel
BuildRequires:	netcdf-cxx-devel
BuildRequires:	gsl-devel
BuildRequires:	cmake

%description
kst is a program for looking at data streams. It can plot:
 - x-y plots
 - power spectra
 - histograms
 - equations (including equations of data streams). 
 - data in files which are being updated as data is being logged, in
    which case in can act as a plotter for a chart recorder.
 - much more
Kst supports realtime viewing and manipulation of streaming data.

%files
%{_bindir}/*
%{_mandir}/man1/*
%{_libdir}/*.so.*
%{_libdir}/kst2
%{_datadir}/applications/*.desktop
%{_iconsdir}/hicolor/*/apps/*

#--------------------------------------------------------------------

%prep
%setup -q -n Kst-%{version}
%autopatch -p1

%build
# -Dkst_release=1 is to work around a compile error
%cmake \
  -Dkst_install_prefix=%{_prefix} \
  -Dkst_install_libdir=%{_lib} \
  -Dkst_rpath=OFF \
  -Dkst_verbose=ON \
  -Dkst_release=ON
%make

%install
%makeinstall_std -C build

rm -f %{buildroot}%{_libdir}/*.so \
      %{buildroot}%{_libdir}/*.a \
      %{buildroot}%{_datadir}/applnk/*/* \
      %{buildroot}%{_datadir}/mimelink/application/*.desktop


%changelog
* Tue Nov 22 2016 eatdirt <eatdirt> 2.0.8-5.mga6
+ Revision: 1068806
- Rebuild for new cfitsio

* Thu Mar 10 2016 daviddavid <daviddavid> 2.0.8-4.mga6
+ Revision: 988767
- add patch to fix qreal issues on arm

* Wed Mar 09 2016 eatdirt <eatdirt> 2.0.8-3.mga6
+ Revision: 988562
- Rebuild for new cfitsio

* Tue Jan 26 2016 luigiwalser <luigiwalser> 2.0.8-2.mga6
+ Revision: 927762
- rediff patch from debian to fix build with gsl version 2
- rebuild for gsl

* Wed Dec 10 2014 lmenut <lmenut> 2.0.8-1.mga5
+ Revision: 802551
- add upstream patch from branch kst2.0.8
- fix files list

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild
    - Mageia 5 Mass Rebuild

  + danf <danf>
    - Disable debug compile mode to work around a bug setting QT_NO_DEBUG that
      caused compile failure

  + fwang <fwang>
    - build verbose
    - 2.0.8

* Fri Feb 28 2014 eatdirt <eatdirt> 2.0.6-8.mga5
+ Revision: 597713
- Rebuild for new cfitsio

* Sat Oct 19 2013 umeabot <umeabot> 2.0.6-7.mga4
+ Revision: 530072
- Mageia 4 Mass Rebuild

* Tue Jul 16 2013 eatdirt <eatdirt> 2.0.6-6.mga4
+ Revision: 454958
- Rebuild for cfitsio 3.350

* Sat Jan 12 2013 umeabot <umeabot> 2.0.6-5.mga3
+ Revision: 356512
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 17 2012 fwang <fwang> 2.0.6-4.mga3
+ Revision: 307558
- build 3rdparty plugin on

* Wed Oct 17 2012 fwang <fwang> 2.0.6-3.mga3
+ Revision: 307553
- rebuild for new netcdf

* Wed Sep 19 2012 fwang <fwang> 2.0.6-2.mga3
+ Revision: 296195
- build without 3rd party due to it is not recognize latest netcdf
- more patches
- update patch dir
- more header fix
- build with latest netcdf-c++

* Fri Aug 03 2012 fwang <fwang> 2.0.6-1.mga3
+ Revision: 278083
- new verison 2.0.6

* Tue Jul 31 2012 fwang <fwang> 2.0.5-1.mga3
+ Revision: 276454
- new version 2.0.5

* Fri Oct 14 2011 fwang <fwang> 2.0.4-1.mga2
+ Revision: 154716
- update file list
- update file list
- imported package kst

